require_relative '../spec_helper'

describe 'main::head_node' do
  let(:chef_run) do
    ChefSpec::Runner.new do |node|
    end.converge(described_recipe)
  end
  it "should include cookbooks" do
    cookbooks = %w{minitest-handler apt ntp lctp-network lctp-network::router bind dhcp}
    cookbooks.each { |cookbook| chef_run.should include_recipe(cookbook) }
  end
end

describe 'main::compute_node' do
  let(:chef_run) do
    ChefSpec::Runner.new do |node|
    end.converge(described_recipe)
  end
  it "should include cookbooks" do
    cookbooks = %w{minitest-handler apt ntp lctp-network}
    cookbooks.each { |cookbook| chef_run.should include_recipe(cookbook) }
  end
end
